## com.ibm.lab.soln.resources.markers
Class RecentEditsRCL

    java.lang.Object
      |
      +--com.ibm.lab.soln.resources.markers.RecentEditsRCL

All Implemented Interfaces:
  java.util.EventListener, org.eclipse.core.resources.IResourceChangeListener, org.eclipse.core.resources.IResourceDeltaVisitor

public class RecentEditsRCL
extends java.lang.Object
implements org.eclipse.core.resources.IResourceChangeListener, org.eclipse.core.resources.IResourceDeltaVisitor

Resource change listener that is used to track file modifications so that markers can be created to support a rapid re-open of these files.

This class is also the resource delta visitor that is used to process the resource delta passed as part of the resource change event.

Constructor Summary
`RecentEditsRCL()` Constructor for RecentEditsRCL which is used to instantiate the `RecentEdits` class which is passed to the `RecentEditsResourceDelta` visitor for further processing.

Method Summary
`void` | `resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)` Determine if the resource change event is a `POST_AUTO_BUILD` event, which is required as resources will be created and the workspace is not locked during a `POST_AUTO_BUILD` event.
`boolean` | `visit(org.eclipse.core.resources.IResourceDelta delta)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RecentEditsRCL

    public RecentEditsRCL()

  Constructor for RecentEditsRCL which is used to instantiate the `RecentEdits` class which is passed to the `RecentEditsResourceDelta` visitor for further processing.

Method Detail

### resourceChanged

    public void resourceChanged(org.eclipse.core.resources.IResourceChangeEvent event)

  Determine if the resource change event is a `POST_AUTO_BUILD` event, which is required as resources will be created and the workspace is not locked during a `POST_AUTO_BUILD` event.
  Specified by:
    `resourceChanged` in interface `org.eclipse.core.resources.IResourceChangeListener`
  See Also:
    `IResourceChangeListener.resourceChanged(IResourceChangeEvent)`

### visit

    public boolean visit(org.eclipse.core.resources.IResourceDelta delta)
                  throws org.eclipse.core.runtime.CoreException

  Specified by:
    `visit` in interface `org.eclipse.core.resources.IResourceDeltaVisitor`
  See Also:
    `IResourceDeltaVisitor.visit(IResourceDelta)`